Bug 1306687 - Cancel of a scheduled shutdown (shutdown -c) does not broadcast message
Cancel of a scheduled shutdown (shutdown -c) does not broadcast message
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 10:15 EST by Vinicius Reis
Modified: 2016-12-20 13:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:38:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinicius Reis 2016-02-11 10:15:23 EST
Description of problem:
"shutdown -c"  does not broadcast messages.


Version-Release number of selected component (if applicable):
systemd-222-14.fc23.x86_64
gnome-shell-3.18.3-1.fc23.x86_64
gnome-terminal-3.18.2-1.fc23.x86_64


How reproducible:
No specific conditions observed, always reproducible in my system.

Steps to Reproduce:
1. Open gnome-terminal;
2. Schedule a shutdown  (i.e., sudo shutdown -h 1:30);
3. Cancel the above command (sudo shutdown -c)

Actual results:
Shutdown is silently canceled, with no broadcast messages shown/sent.

Expected results:
Shutdown command canceled, with broadcast message of this action sent to all users.

Additional info:
-
Comment 1 Trond H. Amundsen 2016-10-26 09:07:48 EDT
I'm seeing this also on F24. In addition, there are no broadcast message when the initial shutdown command is issued. Doesn't matter if you give a time argument or "now". No messages at all. (BTW, this works on rhel7 so there should be a fix floating around somewhere).

Another thing is that on previous systems without systemd (e.g. rhel6) you aren't allowed to cancel a shutdown if none exists. You're also not allowed to issue more that one shutdown command at once, which is the case with systemd.

I'm a fan of systemd, but in this case there seems to be a lot of functionality missing.

-trond
Comment 2 Fedora End Of Life 2016-11-24 10:30:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:38:15 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.